Skip to main content
GET
/
v1
/
my
/
flows
/
{id}
Get a flow
curl --request GET \
  --url https://api.nitrosend.com/v1/my/flows/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "account_id": 123,
  "status": "draft",
  "approval_state": "<string>",
  "name": "<string>",
  "goal": "<string>",
  "trigger": {
    "event": "<string>",
    "segment_id": 123,
    "contact_list_id": 123,
    "data": {}
  },
  "steps": [
    {
      "type": "email",
      "subject": "<string>",
      "body": "<string>",
      "preheader": "<string>",
      "duration": 123,
      "filters": [
        {}
      ],
      "yes": "<array>",
      "no": "<array>",
      "event_name": "<string>",
      "forward_event_data": true
    }
  ],
  "sent_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "templates": [
    {
      "id": 123,
      "name": "<string>",
      "flow_id": 123,
      "action_id": 123,
      "subject": "<string>",
      "body": "<string>",
      "preheader": "<string>",
      "from_name": "<string>",
      "from_email": "<string>",
      "reply_to": "<string>",
      "design": {
        "sections": [
          {
            "type": "header",
            "props": {},
            "styles": {
              "background_color": "<string>",
              "padding": "<string>",
              "align": "left"
            }
          }
        ],
        "theme": {
          "brand_color": "<string>",
          "bg_color": "<string>",
          "text_color": "<string>",
          "font_body": "<string>",
          "font_heading": "<string>",
          "logo_url": "<string>"
        }
      },
      "variables": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key (nskey_live_...) or JWT token. API key is checked first; if not found, falls back to Devise JWT authentication.

Path Parameters

id
integer
required

Response

Flow with full graph

id
integer
account_id
integer
status
enum<string>
Available options:
draft,
active,
paused,
archived
approval_state
string
name
string
goal
string | null
trigger
object

Trigger as returned by Flow::Format.dump

steps
object[]
sent_count
integer
created_at
string<date-time>
updated_at
string<date-time>
templates
object[]